!+
!KWIC parm.h
!
!Id$
!
!History:
!   95-Mar-21[T. Gaetz]
!      . moved from individual source files to included file.
!      . reordered:  double precision, real, integer.
!      . add save statement
!
!  DEFINITIONS (extracted from source files):
!
!    GEN ( 1) : XAP = X OF CENTER OF ANNULAR APERTURE
!    GEN ( 2) : YAP = Y OF CENTER OF ANNULAR APERTURE
!    GEN ( 3) : ZOFF - Z OFFSET OF FOCAL PLANE
!    GEN ( 4) : NS - TOTAL NUMBER OF SURFACES (EXCLUDE FOCAL PLANE)
!    GEN ( 5) : PSI - POLARIZATION MAJOR AXIS ANGLE (WAS EP1)
!               (APPLIES ONLY IF DISCRETE POLARIZATION FLAG SET)
!    GEN ( 6) : E - RATIO OF MINOR TO MAJOR AXIS AMPLITUDE (WAS EP2)
!               (ABS VALUE BETWEEN 0 AND 1)
!               (POSITIVE FOR LEFT HANDED, NEGATIVE FOR RIGHT HANDED)
!               (APPLIES ONLY IF DISCRETE POLARIZATION FLAG SET)
!    GEN ( 7) : AZBU - AZIMUTH ANGLE OF INCOMING BUNDLE (DEG.)
!    GEN ( 8) : ELBU - ELEVATION ANGLE OF INCOMING BUNDLE (DEG.)
!    GEN ( 9) : R1 - INNER RADIUS OF APERTURE ANNULUS
!    GEN (10) : R2 - OUTER RADIUS OF APERTURE ANNULUS
!    GEN (11) : MING - NUMBER OF RINGS
!    GEN (12) : M2 - NUMBER OF POINTS IN OUTERMOST RING
!    GEN (13 - 20)  ARE NOT USED
!
!    IF J = SURFACE NUMBER THEN,
!    SURF (1, J) : X - X COORD. AT SURFACE CENTER
!    SURF (2, J) : Y - Y COORD. AT SURFACE CENTER
!    SURF (3, J) : Z - Z COORD. AT SURFACE CENTER
!    SURF (4, J) : P - CONIC CONSTANT = 1 - ECCEN. ** 2
!    SURF (5, J) : VERTEX RADIUS OF CURV. OR K FACTOR OF XRAY SURFACE
!    SURF (6, J) : P0 - CENTER RADIUS  (USUALLY 0 FOR CONVENTIONAL)
!    SURF (7, J) : AZMIS - AZIMUTH MISALIGNMENT OF SURFACE (DEG.)
!    SURF (8, J) : ELMIS - ELEVATION MISALIGNMENT OF SURFACE (DEG.)
!    SURF (9, J) : INNER RADIUS OF CONVENTIONAL SURFACE OR
!                  EPICENTER OF OFFSET SURFACE
!    SURF (10,J) : OUTER RADIUS OF CONV. OR LENGTH OF X-RAY SURFACE
!    SURF (11,J) : BORESIGHT ANGLE OF OFFSET SURFACE OR
!                  AZF - AZIMUTH OF NORMAL TO FOLD PLANE OF FLAT SURFACE
!    SURF (12,J) : ELF - ELEVATION NORMAL TO FOLD PLANE OF FLAT SURFACE
!    SURF (13,J) : ZFOLD - Z COORD. OF INTERSECTION OF STD Z AXIS
!                  WITH FOLD PLANE OF FLAT SURFACE, OR
!                  ZROT8 - ROTATION ABOUT Z OF A RECTANGULAR OBSCURATION
!    SURF (14,J) : EP1 - REAL PART OF DIELECTRIC CONSTANT
!    SURF (15,J) : EP2 - IMAGINARY PART OF DIELECTRIC CONSTANT
!    SURF (16 - 20,J) : NOT USED
!-
      double precision gen, surf
      COMMON /PARM/    gen(20), surf(20, 21)
      save   /PARM/
