!+
!KWIC sens.h
!
!Id$
!
!History:
!   93-Nov-08[T. Gaetz]
!      . moved from individual source files to included file.
!      . reordered:  double precision, real, integer.
!      . add save statement
!
!  DEFINITIONS (extracted from source files):
!
!    NCH       : I*4 - number of constructional changes being considered
!    CHGS (J)  : R*8 - amount by which to vary the J'th constructional
!                      change parameter
!    SNSMAT (I, J): R*8 -
!         change in the I'th annular zernike polynomial coefficient
!         for a unit change in the J'th constructional change
!         parameter.  SNSMAT (1, J) = 0.d0, since piSton is always
!         thrown away.
!
!    XBFSNS (J): R*8 -
!         change in x-coordinate of the best focus location for a
!         unit change in the J'th constructional change parameter.
!
!    YBFSNS (J): R*8 -
!         change in y-coordinate of the best focus location for a
!         unit change in the j'th constructional change parameter.
!
!    ZCOF0 (I): R*8 -
!         i'th annular zernike polynomial coefficient for the
!         nominal opd file (on output, coefficients 1-3 are set
!         to zero to show lack of piston and tilt at best focus)
!-

      DOUBLE PRECISION CHGS, SNSMAT, XBFSNS, YBFSNS, ZCOF0
      INTEGER          NCH, ICHS
      COMMON /SENS/    CHGS(50), SNSMAT(325, 50), XBFSNS(50), 
     &                 YBFSNS(50), ZCOF0(325), NCH, ICHS(50)
      SAVE   /SENS/
