!
!  UPDATED 2/4/88 TO WRITE ALL 20 GEN PARAMETERS, SO THAT
!  REFLECTIVITY PARAMETERS AND FUTURE MODS CAN BE INCLUDED
!  PAUL GLENN, BAUER ASSOCIATES, INC.
!
      SUBROUTINE WRGX (GEOP, LSW)
C   /****************************************
C    *
C    *    PERKIN-ELMER CORPORATE COMPUTING
C    *      SOFTWARE ENGINEERING SECTION
C    *
C    *    WRGX FORTRAN
C    *    WRITTEN BY JOHN LEGG
C    *            ON 04/14/80
C    *
C    *    UPDATE:   06/05/80
C    *    TIME:     11:42:10
C    *
C    ******************************************/
C
C  PURPOSE:  TO WRITE THE SYSTEM GEOMETRY INFORMATION AND
C            SURFACE INFORMATION TO FILE 'GX'
C
C  INPUT ARGUMENTS:
C    GEOP :  DOUBLE PRECISION ARRAY CONTAINING EITHER GENERAL
C            SYSTEM OR SURFACE GEOMETRY PARAMETERS
C    LSW  :  LOGICAL * 1 ARRAY CONTAINING THE
C            CORRESPONDING SWITCHES
C
C  OUTPUT:
C    FILE 'GX' ON UNIT 12
C
      
      !*** ALL REAL*4 VARIABLES HAVE BEEN CHANGED TO DOUBLE PRECISION
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      IMPLICIT INTEGER (I-N)
 
!  DIMENSION OF GEOP CHANGED TO 20
      DIMENSION GEOP(20), LSW(10)
      DOUBLE PRECISION  GEOP
      LOGICAL * 1  LSW
C
      WRITE (12, 100) GEOP, LSW
      RETURN
!  FORMAT CHANGED TO TAKE 6 INSTEAD OF 3 LINES
100   FORMAT (1P, 5(4D20.12/), 5X, 5L2, 5X, 5L2)
      END
